Bug 1231274 - [RFE] Add external status to storage domain
Summary: [RFE] Add external status to storage domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Eli Mesika
QA Contact: Antonin Pagac
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-12 14:27 UTC by Eli Mesika
Modified: 2016-03-09 21:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The status of a storage domain can now be reported by an external system. The status is set using the REST API, and the internal status (as reported by the Manager) and the external status (as reported by a third party) for each storage domain are displayed when a domain is selected in the Administration Portal user interface.
Clone Of:
Environment:
Last Closed: 2016-03-09 21:08:21 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 42132 master MERGED core[DB]: Adding external status to DB Never
oVirt gerrit 42133 master MERGED core[BE]: Adding external status to BE Never
oVirt gerrit 42134 master MERGED core[DAO]: Adding external status to DAOs Never
oVirt gerrit 42135 master MERGED core[BLL]: Adding external status to command Never
oVirt gerrit 42136 master MERGED core[Search]:Add search support to external_status Never
oVirt gerrit 42137 master MERGED REST API: Adding external status to API Never
oVirt gerrit 42138 master MERGED webadmin: Adding external status to UI Never

Description Eli Mesika 2015-06-12 14:27:03 UTC
Currently oVirt provides only an internal status of the storage domain which is controlled internally by oVirt
In order to see problems on an entity, the administrator should go and select each entity and then look in the relevant plug-in sub-tab for the entity. There is no visual marker for indicating problems on the entity that were reported by an external system 

The goal is to enable to add each entity a Health Status field which can be set and retrieved using the REST API
The UI should include this field for each such entity main view and displayed it graphically with the appropriate color according to the reported status 

for more info :

http://www.ovirt.org/Features/EntityHealthStatus

Comment 1 Max Kovgan 2015-06-28 14:13:31 UTC
ovirt-3.6.0-3 release

Comment 2 Antonin Pagac 2015-07-02 12:36:37 UTC
Verified in: oVirt Engine Version: 3.6.0-0.0.master.20150627185750.git6f063c1.el6

Comment 4 errata-xmlrpc 2016-03-09 21:08:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.